#include <bits/stdc++.h>
typedef long long ll;
using namespace std;


int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);   cout.tie(0);
    cout << fixed;
    int n;
    cin >> n;
    double mm,zbir = 0.00;
    pair<double,int> ap[n];
    for (int i=0; i<n; i++) cin >> ap[i].second >> ap[i].first;
    sort(ap,ap+n);
    for (int i=0; i<n; i++)
       mm+=ap[0].first*ap[i].second/100;

    zbir=mm;
    for (int i=1; i<n; i++) {
        zbir=zbir/ap[i-1].first*ap[i].first;
        zbir=zbir-ap[i].first*ap[i-1].second/100;
        if (mm<zbir) mm=zbir;
    }
    cout << mm;
    return 0;
}